<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />

	<!-- RPS Header integration -->
	<script type="text/javascript" src="/header.js"></script>
	<link rel="stylesheet" type="text/css" href="/header.css" />

	<style>
		main {
			margin: 50px 50px;
			max-width: 800px;
			padding: 0 20px;
		}
	</style>
</head>

<body>
	<header id="rps-header" class="rps-header"></header>
	<main>
		<h1>How to include the RPS header into your service</h1>
		<ol>
			<li>
				Add a script element in the head of your HTML document:
				<pre><strong>&lt;script type="text/javascript" src="$RPS_HEADER_JS_URL"&gt;&lt;/script&gt;</strong></pre>
			</li>
			<li>
				Add a header element for the header in the body of your HTML document:
				<pre><strong>&lt;header id="rps-header" class="rps-header" &gt;&lt;/header&gt;</strong></pre>
			</li>
			<li>
				(recommended) Add a hint in form of an attribute data-user-logged for the header with the current login (true or false) status according to your application:
				<pre>&lt;header id="rps-header" class="rps-header" <strong>data-user-logged-in="true"</strong>&gt;&lt;/header&gt;</pre>
			</li>
			<li>
				(optional) Add a nav element for the footer in the body of your HTML document:
				<pre><strong>&lt;nav id="rps-footer" class="rps-footer"&gt;&lt;/nav&gt;</strong></pre>
			</li>
			<li>
				Notify the <a href="$RPS_HEADER_ADMIN_CONTACT_LINK">Administrators of the RPS</a> that they should add your service to <tt>rps_header_allowed_origin</tt> in the Ansible site config repo so the login status on your site will be displayed properly.
			</li>
		</ol>
		<p>(look up the source of this page to see an example)</p>
	</main>
	<footer id="rps-footer" class="rps-footer"></footer>
</body>
</html>
